List DSAR jobs
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.enfinitos.com/v1/compliance/dsar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/compliance/dsar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/compliance/dsar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.enfinitos.com/v1/compliance/dsar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/compliance/dsar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyfalsecurl --request GET \
--url https://sandbox.api.enfinitos.com/v1/compliance/dsar \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"jobs": [
{
"id": "<string>",
"orgId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scope": {
"dataSubjectId": "<string>",
"windowStart": "2023-11-07T05:31:56Z",
"windowEnd": "2023-11-07T05:31:56Z",
"campaignIds": [
"<string>"
],
"substrates": [
"<string>"
]
},
"requestedBy": "<string>",
"requestNotes": "<string>",
"progress": {
"rowsCollected": 123,
"rowsExpected": 123,
"bytesPackaged": 123,
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"workerId": "<string>"
},
"delivery": {
"bundleR2Key": "<string>",
"bundleSizeBytes": 123,
"bundleSha256": "<string>",
"bundleUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"downloadedAt": "2023-11-07T05:31:56Z",
"downloadedBy": "<string>"
},
"failure": {
"message": "<string>",
"failedAt": "2023-11-07T05:31:56Z",
"workerId": "<string>"
},
"timeline": [
{
"at": "2023-11-07T05:31:56Z",
"actor": "<string>",
"notes": "<string>"
}
]
}
],
"total": 123,
"filteredCount": 123,
"counts": {},
"activeCount": 123,
"activeLimit": 123
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Compliance
List DSAR jobs
List the caller’s DSAR / tenant-export jobs with per-state counts and the active-job headroom. Requires scope audit:read — DSAR jobs are the asynchronous, scoped form of the same GDPR Article 15 read obligation as GET /v1/compliance/export.
GET
/
v1
/
compliance
/
dsar
List DSAR jobs
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.enfinitos.com/v1/compliance/dsar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/compliance/dsar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/compliance/dsar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.enfinitos.com/v1/compliance/dsar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/compliance/dsar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyfalsecurl --request GET \
--url https://sandbox.api.enfinitos.com/v1/compliance/dsar \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"jobs": [
{
"id": "<string>",
"orgId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scope": {
"dataSubjectId": "<string>",
"windowStart": "2023-11-07T05:31:56Z",
"windowEnd": "2023-11-07T05:31:56Z",
"campaignIds": [
"<string>"
],
"substrates": [
"<string>"
]
},
"requestedBy": "<string>",
"requestNotes": "<string>",
"progress": {
"rowsCollected": 123,
"rowsExpected": 123,
"bytesPackaged": 123,
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"workerId": "<string>"
},
"delivery": {
"bundleR2Key": "<string>",
"bundleSizeBytes": 123,
"bundleSha256": "<string>",
"bundleUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"downloadedAt": "2023-11-07T05:31:56Z",
"downloadedBy": "<string>"
},
"failure": {
"message": "<string>",
"failedAt": "2023-11-07T05:31:56Z",
"workerId": "<string>"
},
"timeline": [
{
"at": "2023-11-07T05:31:56Z",
"actor": "<string>",
"notes": "<string>"
}
]
}
],
"total": 123,
"filteredCount": 123,
"counts": {},
"activeCount": 123,
"activeLimit": 123
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Authorizations
API key sent as Authorization: Bearer <api-key>.
Query Parameters
Filter to a single job state. DSAR / tenant-export job lifecycle. The worker drives REQUESTED → COLLECTING → PACKAGING → READY; download drives READY → DELIVERED; a TTL sweep drives READY → EXPIRED. DELIVERED, EXPIRED and FAILED are terminal.
Available options:
REQUESTED, COLLECTING, PACKAGING, READY, DELIVERED, EXPIRED, FAILED ⌘I